Subject: Re: [nncp-devel] crash in nncp-toss from mail packet

From: Sergey Matveev <[email-masked]>
Date: Sun, 15 Jan 2017 13:45:47 +0300

*** Shawn K. Quinn <[email-masked]> [2017-01-15 13:25]:
>OK, noted. That means we need this to be explained in the documentation,

Will note that.

>which thankfully is something I can help out with. I plan to submit a
>patch fixing as many grammar, spelling, and other minor errors that I
>can find in the texinfo file as time allows (hopefully next couple of
>days, but certainly by the end of January).

That will be helpful, because I am not native english speaker, so there
are possibly plenty of them.

>It would make more sense to me, BTW, to allow defaults for all nodes for
>the incoming, freq, and sendmail options, with pattern matching
>substitution for node names (for incoming I would still find separating
>by sending node useful as opposed to lumping it all in one place).
>Perhaps by allowing a configuration section "default:" similar to the
>current "self:"? I can think of more cases where I'd want all nodes to
>be able to send files to me and freq files from me than I would where
>I'd want only some.

Well, I assumed (however currently did not use by myself) that YAML will
help in that task: it has ability to make references to already defined
sections. But I need to think about it better for convenient usage.

>Also, is it necessarily a design goal of the project for everything to
>be written in Go? I am considering writing a GUI front-end but I am
>completely new to Go and I am reading that desktop GUI apps are so far
>not a common use case for Go.

Well, Go is not design goal for that project, but it is worth for it. I
like it very much -- so obviously this is the main reason for its
choosing.

I do not use GUI at all (except rare minor exceptions to run browser)
and won't use it anyway. So for me GUI is not interesting at all. I am
against including anything related to GUI in NNCP tarball, and I think
it is better to keep source code separate (not to force developers to
install GUI-related things for working just with NNCP alone) from the
mainline. But of course I do not see any obstacles in building another
tarball with GUI-related things, possibly on other language.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF